aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/run_tests/build_php.sh
diff options
context:
space:
mode:
authorGravatar Craig Tiller <ctiller@google.com>2015-01-16 12:54:26 -0800
committerGravatar Craig Tiller <ctiller@google.com>2015-01-16 12:55:42 -0800
commitaac57fde95e19fc1c0062747aca748cc8e5e9980 (patch)
treea9c88b7abcf97675735988eb9615149ca7deb34d /tools/run_tests/build_php.sh
parentf1973b0652bdc34451b4d1f84811763a786178f1 (diff)
Build php modules from run_tests.py
Diffstat (limited to 'tools/run_tests/build_php.sh')
-rwxr-xr-xtools/run_tests/build_php.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tools/run_tests/build_php.sh b/tools/run_tests/build_php.sh
index a9bf588e2f..996ddce29b 100755
--- a/tools/run_tests/build_php.sh
+++ b/tools/run_tests/build_php.sh
@@ -1 +1,22 @@
#!/bin/bash
+
+set -ex
+
+# change to grpc repo root
+cd $(dirname $0)/../..
+
+export GRPC_DIR=`pwd`
+
+# make the libraries
+make -j shared_c
+
+# build php
+cd src/php
+
+cd ext/grpc
+phpize
+cd ../..
+ext/grpc/configure
+#cd ext/grpc
+make
+